<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<!--
IGAC proyecto SNC

@author rodrigo.hernandez

@description  página para consultar departamentos y municipios de un
              avalúo 

@Managed Bean ConsultaDepartamentosMunicipiosAvaluoMB
 
@version  2.0

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui"
             id="consultarDepartamentosMunicipioForm" width="100%">


    <p:spacer height="5" />

    <p:fieldset>

        <h:panelGrid columns="2" width="100%" cellspacing="7">
            <h:outputLabel value="Sec. Radicado:" styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputTextStyle"
                          value="#{consultarDptoMunpioAvaluo.secRadicado}">
            </h:outputText>
        </h:panelGrid>

        <p:spacer height="5" />


        <h:panelGrid id="tablaDptosMunpiosPG" width="100%">
            <p:dataTable var="item" id="tblDocumentosRequeridos"
                         paginatorPosition="bottom" paginator="true" rows="10"
                         value="#{consultarDptoMunpioAvaluo.listaMunicipiosAvaluo}"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} 
                         {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowKey="#{documentoBasico.tipoDocumento.id}"
                         emptyMessage="No hay resultados para esta búsqueda">

                <p:column headerText="Departamento">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{item.departamento.codigo} - #{item.departamento.nombre}" />
                </p:column>

                <p:column headerText="Municipio">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{item.codigo} - #{item.nombre}" />
                </p:column>

            </p:dataTable>
        </h:panelGrid>

    </p:fieldset>

    <p:spacer height="5" />

</h:panelGrid>